# Get-RASAVDGalleryImage.md

## NAME

Get-RASAVDGalleryImage

## SYNOPSIS

The cmdlet returns a list of Azure Virtual Desktop Gallery Images.

## SYNTAX

\*\*Get-RASAVDGalleryImage -[Location](#location-string) *(string)* -[Name](#name-string) *(string)* -[ProviderId](#providerid-string) *(uint)* -[ResourceGroup](#resourcegroup-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

The cmdlet returns a list of Azure Virtual Desktop Gallery Images.

## PARAMETERS

## ProviderId (uint)

Provider ID from which to retrieve the Azure Virtual Desktop VMSize information.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Name (string)

Name of the Azure Virtual Desktop Gallery.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ResourceGroup (string)

Resource Group of the Azure Virtual Desktop Gallery Image.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Location (string)

Location of the Azure Virtual Desktop Gallery Image.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[AVDGalleryImage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdgalleryimage.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASAVDGalleryImage -ProviderId 2 -Location "westeurope" -Name "myGalleryImage" -ResourceGroup "myResourceGroup"

Retrieves a list of Gallery Images which fall under the Provider, Location, ProviderId and ResourceGroup specified.

## RELATED LINKS

-none-


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasavdgalleryimage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
